Subject: Re: bug#42984: 27.1; package-list results in error while updating archive due to malformed path

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Nov 2020 18:36:56 +0200

> From: Mirko Vukovic <[email-masked]>
> Date: Thu, 26 Nov 2020 10:58:13 -0500
> Cc: Stefan Kangas <[email-masked]>, [email-masked]
> 
> I think this solved it:
> 
> 1 Installed MinGW version: pacman -S mingw64/mingw-w64-x86_64-gnupg
> 2 Started emacs -Q in the MingGW64 terminal (not the MSYS2 terminal)
> 3 package-list-packages completes without errors:
> 
> From the *Messages* buffer:
> 
> Importing package-keyring.gpg...done
> Setting ‘package-selected-packages’ temporarily since "emacs -q" would overwrite customizations
> Package refresh done
> Packages that can be upgraded: 2; type ‘U’ to mark for upgrading.
> 
> To me this implies that gnupg should be installed along with Emacs 27.1 in MinGW64. I will try to contact the
> maintainer to suggest that.

Yes, using MSYS2 ports of programs with the MinGW Emacs is prone to
subtle hard-to-debug errors.  MinGW ports should be preferred.

> Thank you very much for your help.

You are welcome.  I'm therefore closing this bug report.